Why does Google Play say my AT&T Galaxy Note is not supported by Squid?

The AT&T Galaxy Note has received an update to Android JellyBean 4.1.2, which is needed to run Squid since Squid is not compatible with Android Gingerbread 2.3 (which shipped with the AT&T Galaxy Note). Please see these instructions from Samsung's website to update your AT&T Galaxy Note to the latest version: http://www.samsung.com/us/support/SupportOwnersFAQPopup.do?faq_id=FAQ00047453&fm_seq=51497.

Feedback and Knowledge Base